Software i was trying to install mods and my game crashed.

KINGZL0

New member
Joined
Apr 10, 2020
Messages
1
Reaction score
0
Points
0
today i tried to install a few mods to improve the game, the mods were cvel buran, cvel titan, project x15201, wo2001, and velcro rockets. every time i click on a modded scenario my game crashes and a message comes up saying "terminating after critical error" and my game crashes. what does it mean, what should i do to fix it.
 

Urwumpe

Not funny anymore
Addon Developer
Donator
Joined
Feb 6, 2008
Messages
36,056
Reaction score
579
Points
203
Location
Langendernbach
today i tried to install a few mods to improve the game, the mods were cvel buran, cvel titan, project x15201, wo2001, and velcro rockets. every time i click on a modded scenario my game crashes and a message comes up saying "terminating after critical error" and my game crashes. what does it mean, what should i do to fix it.

Important: Don't install many mods at once. Install one, read the documentation for any further finishing actions of the installation (editing configs, other requirements), test Orbiter, repeat. Especially if you use older add-ons in 2016, this is important.

World of 2001 is not compatible to 2016, for example.
 

DaveS

Space Shuttle Ultra Project co-developer
Addon Developer
Donator
Beta Tester
Joined
Feb 4, 2008
Messages
8,994
Reaction score
292
Points
173
Especially if you use older add-ons in 2016, this is important.

World of 2001 is not compatible to 2016, for example.
Neither is any add-on that rely on CVEL or its predecessor CVE. Those are quite ancient middle-wares. I'm not sure when it went out really, it could have been with the 2010 edition of Orbiter. Both of them were written with the 2003 versions in mind, they still worked in some of the later versions, but only by pure luck.

So don't go downloading random add-ons expecting them to work with a much newer version of Orbiter.
 

N_Molson

Addon Developer
Addon Developer
Donator
Joined
Mar 5, 2010
Messages
7,641
Reaction score
804
Points
188
Location
Toulouse
That's why we need a Wiki or something alike were there compatible mods and their up-to-date status are clearly listed.
 

Urwumpe

Not funny anymore
Addon Developer
Donator
Joined
Feb 6, 2008
Messages
36,056
Reaction score
579
Points
203
Location
Langendernbach
That's why we need a Wiki or something alike were there compatible mods and their up-to-date status are clearly listed.

I can only say so much: We have a Wiki and it can be used for it.



I am just too busy fighting the spam to really recommend it. I would recommend waiting for the server configuration to be fixed before contributing, because even if I would get more users to administrate the content side of it, we would be fighting a lost battle without some technical improvements. What ever you add, you would have to risk that the content gets swamped away in floods of spam. Right now, I at least manage to keep the new spam out and delete some of the spam from the 6 weeks I was away from duty. But its a Sysiphean effort, unless the Apache server gets upgraded and the MediaWiki configuration fixed.
 

Face

Addon Developer
Addon Developer
Beta Tester
Joined
Mar 18, 2008
Messages
4,228
Reaction score
182
Points
103
Location
Vienna
That's why we need a Wiki or something alike were there compatible mods and their up-to-date status are clearly listed.

I could be mistaken, but I think there was/is even a thread in here for the exact reason of listing compatible mods. What happened to this?
 

Owenmck

Active member
Joined
Apr 18, 2020
Messages
85
Reaction score
71
Points
33
Location
Scotland
I could be mistaken, but I think there was/is even a thread in here for the exact reason of listing compatible mods. What happened to this?

I feel like new users can be very easily swamped by the sheer number of available addons, and what versions they are compatible with. A thread with "High quality" recommended addons for Orbiter 2016 would probably be helpful for new users. (E.g. XR Fleet, BrainJ's Space-X vehicles etc.)
 

N_Molson

Addon Developer
Addon Developer
Donator
Joined
Mar 5, 2010
Messages
7,641
Reaction score
804
Points
188
Location
Toulouse
Yeah that what's worries me, currently it takes quite a lot of work to have Orbiter running with compatible addons. If we want Orbiter to stay alive, we should be extra careful about this.
 
Top